Bug 569231 - dspam crashes if started before database (postgresql in this case)
Summary: dspam crashes if started before database (postgresql in this case)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dspam
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nathanael Noblet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-28 22:54 UTC by Trever Adams
Modified: 2010-03-24 23:39 UTC (History)
1 user (show)

Fixed In Version: dspam-3.9.0-6.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-24 00:43:03 UTC
Type: ---


Attachments (Terms of Use)

Description Trever Adams 2010-02-28 22:54:29 UTC
Description of problem:
If DSPAM is setup to use a database (at least postgresql), it crashes if that database isn't started.

Postgres is run as S64 (rc5.d) and DSPAM as K30. I am not an init/upstart whizz, so, I will leave this to others to figure out how to fix.

Version-Release number of selected component (if applicable):
postgresql-server-8.4.2-1.fc12.i686
dspam-3.9.0-3.fc12.i686

How reproducible:
Everytime

Steps to Reproduce:
1. Configure dspam to use postgres
2. Start dspam before postgres
3. Forget to restart dspam (on every reboot)
4. Have to run postqueue -f and wait a million years

Comment 1 Trever Adams 2010-03-01 08:31:31 UTC
I should state that "crashes" may not be accurate. I haven't looked enough yet, but it may just be that it shutsdown in an orderly fashion when it cannot connect to the database.

Either way, it is a bug in either the code or the init order.

Comment 2 Nathanael Noblet 2010-03-03 02:59:40 UTC
Just a FYI I am looking into fixing this and will provide an update, I may need you to test the update package to make sure it moves the startup order. I am working partime at the moment so it won't be the fastest update unfortunately.

Comment 3 Trever Adams 2010-03-03 16:18:38 UTC
Thank you Nathanael. I can be patient and I will be glad to do what I can to help test it. Thank you for your work.

Comment 4 Nathanael Noblet 2010-03-03 17:40:57 UTC
Grab the relevant packages from here and let me know if it fixes your issue.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2028805

What this update *should* do on an upgrade is change the startup priorities so dspam will start at 80 and stop at 40. So once upgraded, check that that is the case and that that solves your problem.

Comment 5 Trever Adams 2010-03-06 20:44:16 UTC
This does indeed seem to solve all the problems and it does set it at 80 and 40.

Thank you.

Comment 6 Fedora Update System 2010-03-06 22:51:51 UTC
dspam-3.9.0-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dspam-3.9.0-6.fc12

Comment 7 Fedora Update System 2010-03-06 22:51:55 UTC
dspam-3.9.0-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dspam-3.9.0-6.fc13

Comment 8 Fedora Update System 2010-03-06 22:51:59 UTC
dspam-3.9.0-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dspam-3.9.0-6.fc11

Comment 9 Fedora Update System 2010-03-06 22:52:04 UTC
dspam-3.9.0-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dspam-3.9.0-6.el5

Comment 10 Fedora Update System 2010-03-08 20:21:32 UTC
dspam-3.9.0-6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dspam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dspam-3.9.0-6.el5

Comment 11 Fedora Update System 2010-03-09 03:22:42 UTC
dspam-3.9.0-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dspam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dspam-3.9.0-6.fc11

Comment 12 Fedora Update System 2010-03-09 03:26:09 UTC
dspam-3.9.0-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dspam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dspam-3.9.0-6.fc12

Comment 13 Fedora Update System 2010-03-09 03:26:49 UTC
dspam-3.9.0-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dspam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/dspam-3.9.0-6.fc13

Comment 14 Fedora Update System 2010-03-24 00:42:59 UTC
dspam-3.9.0-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-03-24 17:59:14 UTC
dspam-3.9.0-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-03-24 23:34:14 UTC
dspam-3.9.0-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-03-24 23:38:57 UTC
dspam-3.9.0-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.